<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX User Guide: vx_imagepatch_addressing_t Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>vx_imagepatch_addressing_t Struct Reference</h1><!-- doxytag: class="vx_imagepatch_addressing_t" --><hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>The addressing image patch structure is used by the Host only to address pixels in an image patch. The fields of the structure are defined as:. </p>
<ul>
<li>dim - The dimensions of the image in logical pixel units in the x &amp; y direction. </li>
<li>stride - The physical byte distance from a logical pixel to the next logically adjacent pixel in the positive x or y direction. </li>
<li>scale - The relationship of scaling from the primary plane (typically the zero indexed plane) to this plane. An integer down-scaling factor of <img class="formulaInl" alt="$ f $" src="form_2.png"/> shall be set to a value equal to <img class="formulaInl" alt="$ scale = \frac{unity}{f} $" src="form_3.png"/> and an integer up-scaling factor of <img class="formulaInl" alt="$ f $" src="form_2.png"/> shall be set to a value of <img class="formulaInl" alt="$ scale = unity * f $" src="form_4.png"/>. <img class="formulaInl" alt="$ unity $" src="form_5.png"/> is defined as <code><a class="el" href="vx__types_8h.html#accecc43fdc28478076941ef5a7d56da6">VX_SCALE_UNITY</a></code>. </li>
<li>step - The step is the number of logical pixel units to skip to arrive at the next physically unique pixel. For example, on a plane that is half-scaled in a dimension, the step in that dimension is 2 to indicate that every other pixel in that dimension is an alias. This is useful in situations where iteration over unique pixels is required, such as in serializing or de-serializing the image patch information. <dl class="see"><dt><b>See also:</b></dt><dd><code>vxMapImagePatch</code> </dd></dl>
</li>
</ul>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#a3e817b04c32688a429bc804e740a2026">dim_x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Width of patch in X dimension in pixels.  <a href="#a3e817b04c32688a429bc804e740a2026"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#a904283b577503b16e52bff04dc9668cc">dim_y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Height of patch in Y dimension in pixels.  <a href="#a904283b577503b16e52bff04dc9668cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#aa2f0225f135d52d6402a46b197fa5b21">stride_x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stride in X dimension in bytes.  <a href="#aa2f0225f135d52d6402a46b197fa5b21"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#ac2386b77b9262fd6e9219842375ff7d2">stride_y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Stride in Y dimension in bytes.  <a href="#ac2386b77b9262fd6e9219842375ff7d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#a9801c1ec00e484788b23a7ae860d843d">scale_x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scale of X dimension. For sub-sampled planes this is the scaling factor of the dimension of the plane in relation to the zero plane. Use <code><a class="el" href="vx__types_8h.html#accecc43fdc28478076941ef5a7d56da6">VX_SCALE_UNITY</a></code> in the numerator.  <a href="#a9801c1ec00e484788b23a7ae860d843d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#a36f91517cfea146f8a9c49b8e4160d58">scale_y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Scale of Y dimension. For sub-sampled planes this is the scaling factor of the dimension of the plane in relation to the zero plane. Use <code><a class="el" href="vx__types_8h.html#accecc43fdc28478076941ef5a7d56da6">VX_SCALE_UNITY</a></code> in the numerator.  <a href="#a36f91517cfea146f8a9c49b8e4160d58"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#a11879146df734d5d26b0e7fb69dfc800">step_x</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Step of X dimension in pixels.  <a href="#a11879146df734d5d26b0e7fb69dfc800"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structvx__imagepatch__addressing__t.html#a0aea8b0d6d3b18d8b46cb21cfe606238">step_y</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Step of Y dimension in pixels.  <a href="#a0aea8b0d6d3b18d8b46cb21cfe606238"></a><br/></td></tr>
</table>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="a3e817b04c32688a429bc804e740a2026"></a><!-- doxytag: member="vx_imagepatch_addressing_t::dim_x" ref="a3e817b04c32688a429bc804e740a2026" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#a3e817b04c32688a429bc804e740a2026">vx_imagepatch_addressing_t::dim_x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Width of patch in X dimension in pixels. </p>

</div>
</div>
<a class="anchor" id="a904283b577503b16e52bff04dc9668cc"></a><!-- doxytag: member="vx_imagepatch_addressing_t::dim_y" ref="a904283b577503b16e52bff04dc9668cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#a904283b577503b16e52bff04dc9668cc">vx_imagepatch_addressing_t::dim_y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Height of patch in Y dimension in pixels. </p>

</div>
</div>
<a class="anchor" id="aa2f0225f135d52d6402a46b197fa5b21"></a><!-- doxytag: member="vx_imagepatch_addressing_t::stride_x" ref="aa2f0225f135d52d6402a46b197fa5b21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#aa2f0225f135d52d6402a46b197fa5b21">vx_imagepatch_addressing_t::stride_x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stride in X dimension in bytes. </p>

</div>
</div>
<a class="anchor" id="ac2386b77b9262fd6e9219842375ff7d2"></a><!-- doxytag: member="vx_imagepatch_addressing_t::stride_y" ref="ac2386b77b9262fd6e9219842375ff7d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a822fc495cb9045d45893eed297d48737">vx_int32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#ac2386b77b9262fd6e9219842375ff7d2">vx_imagepatch_addressing_t::stride_y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stride in Y dimension in bytes. </p>

</div>
</div>
<a class="anchor" id="a9801c1ec00e484788b23a7ae860d843d"></a><!-- doxytag: member="vx_imagepatch_addressing_t::scale_x" ref="a9801c1ec00e484788b23a7ae860d843d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#a9801c1ec00e484788b23a7ae860d843d">vx_imagepatch_addressing_t::scale_x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scale of X dimension. For sub-sampled planes this is the scaling factor of the dimension of the plane in relation to the zero plane. Use <code><a class="el" href="vx__types_8h.html#accecc43fdc28478076941ef5a7d56da6">VX_SCALE_UNITY</a></code> in the numerator. </p>

</div>
</div>
<a class="anchor" id="a36f91517cfea146f8a9c49b8e4160d58"></a><!-- doxytag: member="vx_imagepatch_addressing_t::scale_y" ref="a36f91517cfea146f8a9c49b8e4160d58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#a36f91517cfea146f8a9c49b8e4160d58">vx_imagepatch_addressing_t::scale_y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scale of Y dimension. For sub-sampled planes this is the scaling factor of the dimension of the plane in relation to the zero plane. Use <code><a class="el" href="vx__types_8h.html#accecc43fdc28478076941ef5a7d56da6">VX_SCALE_UNITY</a></code> in the numerator. </p>

</div>
</div>
<a class="anchor" id="a11879146df734d5d26b0e7fb69dfc800"></a><!-- doxytag: member="vx_imagepatch_addressing_t::step_x" ref="a11879146df734d5d26b0e7fb69dfc800" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#a11879146df734d5d26b0e7fb69dfc800">vx_imagepatch_addressing_t::step_x</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Step of X dimension in pixels. </p>

</div>
</div>
<a class="anchor" id="a0aea8b0d6d3b18d8b46cb21cfe606238"></a><!-- doxytag: member="vx_imagepatch_addressing_t::step_y" ref="a0aea8b0d6d3b18d8b46cb21cfe606238" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="vx__types_8h.html#a1ddb983b9696cafdb4256c0df757171c">vx_uint32</a> <a class="el" href="structvx__imagepatch__addressing__t.html#a0aea8b0d6d3b18d8b46cb21cfe606238">vx_imagepatch_addressing_t::step_y</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Step of Y dimension in pixels. </p>

</div>
</div>
</div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
